@mixin custom-input {
  margin-top: 8px;
  height: 48px;
  background: var(--lighter-gray);
  border: 1px solid #D9D9D9;
  box-sizing: border-box;
  border-radius: 8px;
  font-size: 16px;
  input,textarea.ant-input,.ant-select-selection-item {
    font-weight: var(--normal);
    font-size: 16px;
    line-height: var(--larger);
    background: var(--lighter-gray);
    &::placeholder{
      font-weight: var(--normal);
      font-size: var(--base);
      line-height: var(--larger);
      color: var(--placeholder-color);
    }
  }
  &:hover{
    border-color: var(--main-purple);
  }
}
.ant-row {
  display: block;
  flex-direction: column;
  align-content: flex-start;
}
.ant-form-item {
  text-align: left;
}
.ant-input-affix-wrapper .ant-input-prefix {
  margin-right: 8px;
}
.ant-select-selection-item {
  display: flex;
  align-items: center;
}
.ant-form-item-has-error {
  :not(.ant-input-disabled):not(.ant-input-borderless).ant-input,
  .ant-picker,
  :not(.ant-input-affix-wrapper-disabled):not(.ant-input-affix-wrapper-borderless).ant-input-affix-wrapper,
  .ant-input,
  .ant-input-affix-wrapper,
  .ant-select:not(.ant-select-disabled):not(.ant-select-customize-input) .ant-select-selector{
    border-color: red;
    background: var(--lighter-gray);
    &:hover, input, input:hover{
      background: var(--lighter-gray);
    }
  }
}
.ant-input-affix-wrapper{
  @include custom-input
}
label, .ant-form-item-label > label {
  font-weight: var(--normal);
  color: var(--main-gray);
  text-align: left;
  font-size: var(--regular);
}
.ant-form-item-explain {
  visibility: hidden;
  height: 24px;
  transition: none;
}

.anticon-check-circle {
  svg {
    path {
      fill: #31832F;
    }
  }
}
@mixin validation-list {
  margin: 10px 0 0;
  padding: 0;
  list-style-type: none;
  li {
    display: flex;
    align-items: center;
    .icon-cancel {
      margin-top: 2px;
    }
    .title {
      margin-left: 8px;
      line-height: normal;
    }
  }
  li:not(:last-child) {
    margin-bottom: 10px;
  }
}
@mixin validation-error {
  margin-bottom: 24px;
  text-align: left;
  color: #eb5757;
}
.ant-calendar-picker,.ant-select{
  width: 100%;
}
.ant-picker-range,
.ant-select:not(.ant-select-customize-input)
.ant-select-selector,
textarea.ant-input{
  @include custom-input
}
.ant-picker-range {
  width: 100%;
}
.ant-input-affix-wrapper-focused,.ant-picker-focused {
  border-color: var(--main-purple);
  box-shadow: 0 0 4px rgba(123, 97, 255, 0.5);
  outline: none;
}
.ant-picker-range .ant-picker-active-bar {
  display: none;
}
